New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

sf volume driver not found #452

Open
mkosieradzki opened this Issue Sep 14, 2017 · 7 comments

Comments

Projects
None yet
4 participants
@mkosieradzki

mkosieradzki commented Sep 14, 2017

When I try to run (5.7, w2k16 with containers):

docker volume create --driver sf mydatavol1

I get:

Error response from daemon: create mydatavol1: Error looking up volume plugin sf: legacy plugin: plugin not found

Also container with:

<Volume Source="mydatavol1" Destination="C:\data" Driver="sf" />

What am I doing wrong? I am unable to find any sf driver documentation over this example:

<Volume Source="myexternalvolume" Destination="c:\testmountlocation3" Driver="sf" IsReadOnly="true"></Volume>

on https://docs.microsoft.com/en-us/azure/service-fabric/service-fabric-containers-volume-logging-drivers

@mani-ramaswamy mani-ramaswamy self-assigned this Sep 16, 2017

@mani-ramaswamy mani-ramaswamy added this to the Backlog milestone Sep 16, 2017

@mani-ramaswamy

This comment has been minimized.

mani-ramaswamy commented Sep 16, 2017

The Service Fabric volume driver has not been shipped publicly yet. It will be available in an upcoming release.

@mkosieradzki

This comment has been minimized.

mkosieradzki commented Sep 25, 2017

Hi Mani,

I have installed 6.0 runtime version of runtime and still getting:

docker volume create -d sf test1
Error response from daemon: create test1: Error looking up volume plugin sf: legacy plugin: plugin not found

I am going to check this on Linux now.

@mani-ramaswamy

This comment has been minimized.

mani-ramaswamy commented Sep 25, 2017

As I mentioned, the SF volume driver hasn't shipped yet - so it is not available for you to try out. you can however, use any other volume drivers that Linux has. https://docs.docker.com/engine/extend/plugins_volume/

@mkosieradzki

This comment has been minimized.

mkosieradzki commented Sep 25, 2017

It will be available in an upcoming release.

As I mentioned, the SF volume driver hasn't shipped yet

I am sorry. I thought that you had meant 6.0.

@mani-ramaswamy

This comment has been minimized.

mani-ramaswamy commented Sep 25, 2017

No, sorry it is not in 6.0. We'll make sure we'll have a blog announcement on it when it is released.

@AceHack

This comment has been minimized.

AceHack commented Oct 19, 2017

Do you have any writeups on partitioning with the volume driver?

@pksorensen

This comment has been minimized.

pksorensen commented Apr 5, 2018

Whats the status on this?

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment